=== debian/changelog ===
libtuxcap (1.4.0.dfsg2-2.3ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:13 +0100

libtuxcap (1.4.0.dfsg2-2.3ubuntu1) focal; urgency=medium

  * (Build-)depend on python2-dev.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 18:12:58 +0100

libtuxcap (1.4.0.dfsg2-2.3build3) cosmic; urgency=medium

  * No-change rebuild against imagemagick.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 10 Aug 2018 18:15:47 -0500

libtuxcap (1.4.0.dfsg2-2.3build2) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2017 13:34:10 +0100

libtuxcap (1.4.0.dfsg2-2.3build1) zesty; urgency=medium

  * No-change rebuild against latest imagemagick

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Dec 2016 21:09:05 -0500

libtuxcap (1.4.0.dfsg2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with GCC 6. (Closes: #811785)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sun, 25 Sep 2016 13:36:46 +0200

libtuxcap (1.4.0.dfsg2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use pkg-config to get ImageMagick build flags (closes: #747908).

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Nov 2014 10:16:34 +0000

libtuxcap (1.4.0.dfsg2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: Could NOT find ImageMagick":
    add patch to deal with cmake's ImageMagick module changes
    (Closes: #674369)

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 Jun 2012 16:14:22 +0200

libtuxcap (1.4.0.dfsg2-2) unstable; urgency=low

  * Team upload.

  [ Miriam Ruiz ]
  * Upgraded Standards-Version from 3.8.3 to 3.9.2
  * Modified libmagick* packages in Build-Depends.
    The new ones which are: libmagickwand-dev, libmagick++-dev
    (Closes: #625599, #628853, #629764)
  * Acknowledged NMUs

  [ Bruno "Fuddl" Kleinert ]
  * Put "Closes: ..." magic behind Miriam's second changelog entry.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 09 Jun 2011 17:25:47 +0200

libtuxcap (1.4.0.dfsg2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * (Build-)Depend on python-dev instead of python2.5-dev. Closes: #596310.
  * debian/patches/kfreebsd.patch:
    - Fixes FTBFS on kfreebsd ports. Closes: #568166.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 01 May 2011 21:35:03 +0200

libtuxcap (1.4.0.dfsg2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on python-dev (>= 2.6), python-dev (<< 2.7) instead of
    python2.5-dev. Use python2.6 in debian/demos.patch. Closes: #596310.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 12:11:31 +0200

libtuxcap (1.4.0.dfsg2-1) unstable; urgency=low

  * Initial release. Closes: #536867

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 14 Jan 2010 11:53:40 +0000
