=== debian/control ===
Source: libtuxcap
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), dh-buildinfo, quilt, cmake,
 libsdl1.2-dev, libsdl-mixer1.2-dev,libgl1-mesa-dev, libglu1-mesa-dev,
 libmagickwand-dev, libmagick++-dev, python2-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://tuxcap.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/libtuxcap/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/libtuxcap/?op=log

Package: libtuxcap-dev
Section: libdevel
Architecture: any
Depends: libtuxcap4.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
 libc6-dev, libsdl1.2-dev, libsdl-mixer1.2-dev,libgl1-mesa-dev, libglu1-mesa-dev,
 libmagickwand-dev, libmagick++-dev, python2-dev
Description: framework for developing 2D games - development files
 The TuxCap Games Framework is a GNU/Linux port of the PopCap Games Framework,
 used for professional 2D game development. It comes with PyCap bindings for
 Python, a fast 2D physics engine, a particle engine, widgets and many
 documented examples.
 .
 This package contains the library headers and documentation for developers.

Package: libtuxcap4.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: framework for developing 2D games - runtime libraries
 The TuxCap Games Framework is a GNU/Linux port of the PopCap Games Framework,
 used for professional 2D game development. It comes with PyCap bindings for
 Python, a fast 2D physics engine, a particle engine, widgets and many
 documented examples.

Package: libtuxcap4.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libtuxcap4.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: framework for developing 2D games - debugging symbols
 The TuxCap Games Framework is a GNU/Linux port of the PopCap Games Framework,
 used for professional 2D game development. It comes with PyCap bindings for
 Python, a fast 2D physics engine, a particle engine, widgets and many
 documented examples.
 .
 This package contains the debugging symbols for the library.
