=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PATH := $(PATH):$(CURDIR)/debian/bin
export PATH

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LDFLAGS=-Wl,--as-needed -Wl,-z,defs -Wl,--no-undefined

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

patch:
	$(MAKE) -f /usr/share/quilt/quilt.make patch

config: config-stamp
config-stamp:
	dh_testdir
	mkdir -p debian/tmp-build
	cp tuxcap-build/* debian/tmp-build -r
	cd debian/tmp-build && cmake --debug-output \
		-D CMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
		-D CMAKE_CXX_FLAGS_RELWITHDEBINFO="${CFLAGS} -g" \
		-D CMAKE_C_FLAGS_RELWITHDEBINFO="${CFLAGS} -g" \
		-D CMAKE_CXX_FLAGS_RELEASE="${CFLAGS}" \
		-D CMAKE_C_FLAGS_RELEASE="${CFLAGS}" \
		-D CMAKE_CXX_FLAGS_DEBUG="${CFLAGS} -g" \
		-D CMAKE_C_FLAGS_DEBUG="${CFLAGS} -g" \
		-D CMAKE_SKIP_RPATH=true \
		-D CMAKE_SHARED_LINKER_FLAGS="${LDFLAGS}" \
		-D CMAKE_VERBOSE_MAKEFILE=true \
		-D CMAKE_INSTALL_PREFIX=/usr \
		$(CURDIR)
	touch $@

build: build-stamp
build-stamp: patch config-stamp
	dh_testdir
	cd debian/tmp-build && $(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	rm -rf debian/tmp-build
	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd debian/tmp-build && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs CHANGELOG -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs CHANGELOG -a
	dh_installdocs -a
	dh_installexamples -a
	cd debian/libtuxcap-dev/usr/share/doc/libtuxcap-dev/examples/ && \
		patch -p2 < $(CURDIR)/debian/demos.patch
	dh_install -a
#	dh_installmenu -a
#	dh_installdebconf -a
	dh_installman -a
	dh_link -a
	dh_strip --dbg-package=libtuxcap4.0-dbg -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
	dh_makeshlibs -a
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	dh_testdir
	dh_testroot
	rm -f libtuxcap-1.4.0.tar.gz
	wget http://downloads.sourceforge.net/project/tuxcap/tuxcap/libtuxcap-1.4.0/libtuxcap-1.4.0.tar.gz?use_mirror=surfnet
	rm -rf libtuxcap-1.4.0
	tar xvfz libtuxcap-1.4.0.tar.gz
	rm libtuxcap-1.4.0.tar.gz
	rm -f `find libtuxcap-1.4.0 -name "*.ogg"`
	rm -f `find libtuxcap-1.4.0 -name "*.gif"`
	rm -f `find libtuxcap-1.4.0 -name "*.png"`
	rm -f libtuxcap-1.4.0/fonts/*
	rm -f libtuxcap-1.4.0/images/*
	rm -f libtuxcap-1.4.0/music/*
	rm -f libtuxcap-1.4.0/sounds/*
	rm -f libtuxcap-1.4.0/doc/*.pdf
	rm -f ../libtuxcap_1.4.0.dfsg2.orig.tar.gz
	tar cvfz ../libtuxcap_1.4.0.dfsg2.orig.tar.gz libtuxcap-1.4.0
	rm -r libtuxcap-1.4.0

binary: binary-indep binary-arch
.PHONY: patch config build clean binary-indep binary-arch binary install get-orig-source
